# FileReference

interface FileReference

A reference to a file in eclipse.

## Functions

getFile
Link copied to clipboard
abstract fun getFile(): File
Returns the target file.
getJarURL
Link copied to clipboard
abstract fun getJarURL(): String
Returns the jar URL of the file
getPath
Link copied to clipboard
abstract fun getPath(): String
Returns the logical path for the file.
isRelativeToPathVariable
Link copied to clipboard
abstract fun isRelativeToPathVariable(): Boolean
Returns true if this reference is relative to a path variable.